import { isString } from '@ntks/toolbox';
import { isWidgetDependency, getWidget, } from 'organik';
function resolveWidgetCtor(moduleContext, widget, widgetNameFromRenderTypeResolver) {
    if (widget) {
        if (isString(widget)) {
            return isWidgetDependency(moduleContext.getModuleName(), widget)
                ? moduleContext.getComponents()[widget]
                : undefined;
        }
        return widget;
    }
    return getWidget(widgetNameFromRenderTypeResolver());
}
export { resolveWidgetCtor };
